<?php
class LSTLiquidacion extends AppListado {

	const COLOR_LIQUIDADO = 'presupuesto_pte_precio'; // #D2FFA5
	
	public function init(){
		$this->setClase('Liquidacion');
		$this->setMetodo('lst_calculateByComisionista');
		$this->setCantidadPorPagina(array(100));

		$this->addColumna(new CLMTexto('codigoServicio', '<a href="'.PUBLICURL.'/index.php/wservicio/editar/id/$codigoServicio#">$codigoServicio#</a>', 'Nš Servicio'));
		$this->addColumna(new CLMTexto('inicio', '$fechaInicio# $horaInicio#', 'Inicio'));
		$_col_importe = new CLMNumero('importe', '$importe#', 'Importe',2);
		//$_col_importe->setSumatorio(true);
		$this->addColumna($_col_importe);
		$this->addColumna(new CLMNumero('coste', '$coste#', 'Coste',2));
		$this->addColumna(new CLMNumero('beneficio', '$beneficio#', 'Beneficio',2));
		$this->addColumna(new CLMNumero('comision_porcentaje', '$comision_porcentaje#', 'Porcentaje',2));
		$_col_comision_valor = new CLMNumero('comision_valor', '$comision_valor#', 'Comisi&oacute;n',2);
		//$_col_comision_valor->setSumatorio(true);
		$this->addColumna($_col_comision_valor);
		$this->addColumna(new CLMFecha('fechaLiquidado','$fechaLiquidado#','F.Liquidado'));
		
	
		/*
			$this->setBotonEditarVisible(true);
			$this->setBotonEditarUrl('/wpresupuesto/editar');
			$this->setBotonEditarUrlAddParametro('id', '$campoPK#');
	
			$this->setBotonEliminarVisible(true);
			$this->setBotonEliminarUrl('/wpresupuesto/eliminar');
			$this->setBotonEliminarUrlAddParametro('id', '$campoPK#');
		*/
	
	}
	
	protected function aplicarCondicionantes(){
		//print_r($this->_datos);
		//die();
		foreach ($this->_datos as $posicion => &$reg) {
			if ($reg['datosBD']['fechaLiquidado'] != Liquidacion::TEXTO_SIN_LIQUIDAR ){
				$reg['atributos']['class']= self::COLOR_LIQUIDADO;
			}
			#A8CDED
			//$reg['atributos']= array('style'=>'background-color:#f00');
			//$reg['columnas']['nombre']['atributos']['style']='background-color:#f00';
			//$reg['columnas']['nombre']['atributos'] = array('style'=>'background-color:#f00');
	
		}
	}
	
	
}